org.apache.lucene.analysis.core

## Class FlattenGraphFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.core.FlattenGraphFilterFactory

    public class FlattenGraphFilterFactory
    extends TokenFilterFactory

Factory for `FlattenGraphFilter`.

Since:
  6.4.0
WARNING: This API is experimental and might change in incompatible ways in the next release.
SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
  "flattenGraph"

### Field Summary

Fields
`static String` `NAME` SPI name

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`FlattenGraphFilterFactory(Map<String,String> args)` Creates a new FlattenGraphFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

SPI name

See Also:
  Constant Field Values

### Constructor Detail

#### FlattenGraphFilterFactory

    public FlattenGraphFilterFactory(Map<String,String> args)

Creates a new FlattenGraphFilterFactory

### Method Detail

#### create

    public TokenStream create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`